<cffunction name="onError" output="true">
   <cfargument name="exception" required="true"/>
   <cfargument name="eventName" required="true"/>
      <cfif compareNoCase(trim(arguments.eventName),"onSessionEnd") 
		And compareNoCase(trim(arguments.eventName),"onApplicationEnd")>
         <cfif compareNoCase( arguments.Exception.RootCause.Type, 
		"coldfusion.runtime.AbortException") >
		
            <cfoutput>
            <CFIF isDebugMode() is false>
           	<cfinclude template="/errortemplate.htm"/>
            <CFELSE>
            <h2>An unexpected error has occurred.</h2>
            <p>Error event: #arguments.eventName#</p>
            <p>Error details:</p>
            <cfdump var="#arguments.exception#"/>
            </CFIF>
            <cflog file="#this.name#" type="error" 
				text="Event name: #arguments.eventName#"/>
            <cflog file="#this.name#" type="error" 
				text="Message: #arguments.exception.message#"/>
            </cfoutput>
         </cfif>
      <cfelseif not compareNoCase(arguments.eventName,"onApplicationEnd")>
         <cflog file="#this.name#" type="Information" 
			text="Application #this.name# ended."/>
         <cflog file="#this.name#" type="error" 
			text="Event name: #arguments.eventName#"/>
         <cflog file="#this.name#" type="error" 
			text="Message: #arguments.exception.message#"/>
      </cfif>
</cffunction>
